List HOS Violations
Get a paginated list of Hours of Service (HOS) violation information accessible to your organization.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
Limit results to specific fleets using Catena’s fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).
Limit results to specific fleets using your organization’s fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).
Return only records that occurred on or after this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at >= from_datetime Default value: now() - 1 day Restriction: to_datetime - from_datetime cannot exceed 45 days
Return only records that occurred before this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at < to_datetime Default value: now() Restriction: to_datetime - from_datetime cannot exceed 45 days
Include the raw data from the telematics provider. Useful for auditing or accessing fields not normalized by Catena
Limit results to specific drivers. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?driver_ids=id1&driver_ids=id2).
The name of the field to sort results by. If not provided, results will be ordered by occurred_at.
The order of sorting, either asc for ascending or desc for descending. Defaults to asc if sort_by is provided without sort_order.